love.graphics.setDefaultFilter("nearest", "nearest", 1)

require ("map")
require ("player")
require ("enemies")
require ("camera")

gamestate = "game"

function love.load()
  if gamestate == "game" then
    map.LOAD()
    player.LOAD()
    enemies.LOAD()
  end 
end

function love.update(dt)
  if gamestate == "game" then
    player.UPDATE(dt)
    map.UPDATE(dt)
    enemies.UPDATE(dt)
  end 
end

function love.draw()
  if gamestate == "game" then
    camera.set()
    map.DRAW()
    player.DRAW()
    enemies.DRAW()
    camera.unset()
    love.graphics.print("x"..math.floor(player.x),10,10)
    love.graphics.print("y"..math.floor(player.y),10,20)
  end 
end