projectile = {}


function projectile.UPDATE(dt)
  projectileMovement(dt) 
end 

function projectile.DRAW()
  for i, o in ipairs(projectile) do 
    love.graphics.rectangle("fill",o.x,o.y,2,2)
  end
end

function projectile.MOUSEPRESSED(x,y,button) 
    if button == 1 then 
      startX = player.x 
      startY = player.y 
      mouseX = x
      mouseY = y
      dir = math.atan2((mouseY - startY), (mouseX - startX))
      projectileDx = 250 * math.cos(dir)
      projectileDy = 250 * math.sin(dir)
      table.insert(projectile, {x = startX, y = startY, dx = projectileDx, dy = projectileDy})
    end 
end 

function projectileMovement(dt)
  for i,o in ipairs(projectile) do
		o.x = o.x + (o.dx * dt)
		o.y = o.y + (o.dy * dt)
	end
end 